Unable to add ppa:certbot/certbot in ubuntu 20.0.4 LTS

➜  sources.list.d sudo add-apt-repository ppa:certbot/certbot
 This is the PPA for packages prepared by Debian Let's Encrypt Team and backported for Ubuntu.

Note: Packages are only provided for currently supported Ubuntu releases.
 More info: https://launchpad.net/~certbot/+archive/ubuntu/certbot
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Hit:1 https://repos.insights.digitalocean.com/apt/do-agent main InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease
Get:3 http://mirrors.digitalocean.com/ubuntu focal InRelease [265 kB]
Hit:4 https://dl.yarnpkg.com/debian stable InRelease
Hit:5 http://mirrors.digitalocean.com/ubuntu focal-updates InRelease
Hit:6 http://mirrors.digitalocean.com/ubuntu focal-backports InRelease
Ign:7 http://ppa.launchpad.net/certbot/certbot/ubuntu focal InRelease
Hit:8 http://archive.ubuntu.com/ubuntu focal InRelease
Get:9 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
Hit:10 https://deb.nodesource.com/node_14.x focal InRelease
Err:11 http://ppa.launchpad.net/certbot/certbot/ubuntu focal Release
  404  Not Found [IP: 91.189.95.83 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/certbot/certbot/ubuntu focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

it shows weird error.

1 Like

No, it’s not weird. The PPA is for Ubuntu versions up to 18.04. Please use the default certbot package for Ubuntu focal. It’s version 0.40 which is newer than the most recent version in the PPA.

See the instructions for Ubuntu 20.04: https://certbot.eff.org/lets-encrypt/ubuntufocal-other

2 Likes

Thank . Anyway it is not that super forward. That instruction definitely needs to be updated.

I used this https://github.com/vinyll/certbot-install#how-to-install and it worked may it help others well.

What instruction isn’t straight forward and needs updating? There’s no mentioning of the PPA in that instruction.

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.